Bug 6526

Summary: halt does not deactivate LVM
Product: [Development] Sisyphus Reporter: Nick S. Grechukh <gns@altlinux.org>
Component: startupAssignee: Dmitry V. Levin <ldv@altlinux.org>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: major    
Priority: P2 CC: alb@altlinux.org, genix@altlinux.org, legion@altlinux.org, mike@altlinux.org, silicium@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   
Attachments:
Description Flags
patch from Genix none

Description From 2005-04-14 15:35:03
http://lists.altlinux.ru/pipermail/devel/2005-April/020043.html 
 
В документации по LVM написано следующее:  
> Давайте теперь рассмотрим задачи, стоящие перед администратором LVM системы.  
Помните, что для работы с системой LVM ее нужно инициализировать командами:  
> # vgscan  
> # vgchange -ay  
> Первая команда сканирует диски на предмет наличия групп томов, вторая  
активирует все найденные группы томов. Аналогично для завершения всех работ,  
связанных с LVM, нужно выполнить деактивацию групп:  
> # vgchange -an  
> Первые две строки нужно будет поместить в скрипты автозагрузки (если их там  
нет), а последнюю можно дописать в скрипт shutdown.  
однако никакого упоминания этих команд я в /etc не нашел (вернее   
активация LVM присутствует в rc.sysinit, а завершение работы нет).
------- Comment #1 From 2005-04-14 15:43:49 -------
Created an attachment (id=811) [details]
patch from Genix
------- Comment #2 From 2005-04-25 21:52:14 -------
Эээ... это бы и на 2.4 отнести, что ли.
------- Comment #3 From 2005-05-03 16:36:11 -------
Кто-нибудь может подготовить и протестировать нормальный патч?
------- Comment #4 From 2005-08-27 14:49:02 -------
(In reply to comment #2)
> Эээ... это бы и на 2.4 отнести, что ли.

Дык в бэкпортах лежит. И даже работает.
------- Comment #5 From 2006-11-06 19:33:08 -------
Алексей, пожалуйста, выложите ваш startup в git, как вы это сделали с другими
пакетами, тогда будет удобней переносить изменения.
------- Comment #6 From 2006-12-03 01:35:55 -------
Fixed in 0.9.8.5-alt1-ga31e4bd, please test.